/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.appversion.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * app版本信息Entity
 * @author YangFan
 * @version 2017-07-07
 */
public class Appversions extends DataEntity<Appversions> {
	
	private static final long serialVersionUID = 1L;
	private String versions;		// 版本信息
	private String files;		// 下载地址
	private String content;		// 下载地址
    private String qrcode; //下载二维码
	private String url;   //URL连接

    public Appversions() {
		super();
	}

	public Appversions(String id){
		super(id);
	}

    public String getQrcode() {
        return qrcode;
    }

    public void setQrcode(String qrcode) {
        this.qrcode = qrcode;
    }

	@ExcelField(title="版本信息", align=2, sort=7)
	public String getVersions() {
		return versions;
	}

	public void setVersions(String versions) {
		this.versions = versions;
	}
	
	@ExcelField(title="下载地址", align=2, sort=8)
	public String getFiles() {
		return files;
	}

	public void setFiles(String files) {
		this.files = files;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getUrl() {
		return url;
	}
	public void setUrl(String url) {
		this.url = url;
	}
}